# /etc/apache2/conf-available/beszel-hub.conf

<IfModule mod_proxy.so>
	<IfModule mod_rewrite.c>
		ProxyPass / http://127.0.0.1:8090/ connectiontimeout=5 keepalive=on timeout=60 retry=5
		ProxyPreserveHost on

		RewriteEngine on
		RewriteCond %{HTTP:Upgrade} websocket [NC]
		RewriteCond %{HTTP:Connection} upgrade [NC]
		RewriteRule ^/?(.*) "ws://127.0.0.1:8090/$1" [P,L]
	</IfModule>
</IfModule>
